ATA_TF_READ_PIO(9)

NAME
ata_tf_read_pio - input device's ATA taskfile shadow registers

SYNOPSIS

void ata_tf_read_pio (struct ata_port * ap, struct ata_taskfile * tf);

ARGUMENTS

ap  Port from which input is read

tf  ATA taskfile register set for storing input

DESCRIPTION

Reads ATA taskfile registers for currently-selected device into tf.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.